Package nl.tue.id.oocsi.client.protocol

# Class OOCSIMessage

java.lang.Object
nl.tue.id.oocsi.OOCSIEvent
nl.tue.id.oocsi.client.protocol.OOCSIMessage

All Implemented Interfaces:
  `OOCSIData`

Direct Known Subclasses:
  `MultiMessage`, `OOCSICall`

    public class OOCSIMessage
    extends OOCSIEvent
    implements OOCSIData

message helper class for constructing and sending events to OOCSI

Author:
  matsfunk

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected OOCSIClient` | `oocsi` |

  ### Fields inherited from class nl.tue.id.oocsi.OOCSIEvent

  `channelName, data, sender, timestamp`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OOCSIMessage​(OOCSIClient oocsi, java.lang.String channelName)` | create a new message

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `OOCSIMessage` | `data​(java.lang.String key, boolean value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, double value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, float value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, int value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, long value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, java.lang.Object value)` | store data in message
  `OOCSIMessage` | `data​(java.lang.String key, java.lang.String value)` | store data in message
  `OOCSIMessage` | `data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)` | store bulk data in message
  `OOCSIMessage` | `data​(OOCSIData bulkData)` | store bulk data in message
  `java.util.Map<java.lang.String,​java.lang.Object>` | `internal()` | return internal representation of the data as a Map
  `void` | `send()` | send message

  ### Methods inherited from class nl.tue.id.oocsi.OOCSIEvent

  `getArray, getBoolean, getBooleanArray, getChannel, getDouble, getDoubleArray, getFloat, getFloatArray, getInt, getIntArray, getLong, getLongArray, getObject, getRecipient, getSender, getString, getString, getStringArray, getTime, getTimestamp, has, keys, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oocsi

    protected OOCSIClient oocsi

- ## Constructor Details

  - ### OOCSIMessage

    public OOCSIMessage​(OOCSIClient oocsi, java.lang.String channelName)
    create a new message
    Parameters:
      `oocsi` -
      `channelName` -

- ## Method Details

  - ### data

    public OOCSIMessage data​(java.lang.String key, java.lang.String value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, boolean value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, int value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, float value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, double value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, long value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.lang.String key, java.lang.Object value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIMessage data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)
    store bulk data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `bulkData` -
    Returns:

  - ### data

    public OOCSIMessage data​(OOCSIData bulkData)
    store bulk data in message
    Parameters:
      `bulkData` -
    Returns:

  - ### send

    public void send()
    send message

  - ### internal

    public java.util.Map<java.lang.String,​java.lang.Object> internal()
    Description copied from interface: `OOCSIData`
    return internal representation of the data as a Map
    Specified by:
      `internal` in interface `OOCSIData`
    Returns: